using System;
using System.Windows.Forms;

namespace AyaNovaQBI
{
    public partial class CopyableMessageBox : Form
    {
        private string mDisplay = string.Empty;
        public CopyableMessageBox(string Display)
        {
            InitializeComponent();
            mDisplay = Display;
            Icon = AyaNovaQBI.Properties.Resources.logo;
            btnOK.Text = util.AyaTranslations["OK"];
        }

        private void btnCopy_Click(object sender, EventArgs e)
        {
            Clipboard.SetData(System.Windows.Forms.DataFormats.Text, mDisplay);
        }

        private void CopyableMessageBox_Load(object sender, EventArgs e)
        {
            edOut.Text = mDisplay;

        }

        private void btnOK_Click(object sender, EventArgs e)
        {
            DialogResult = DialogResult.OK;
            Close();
        }
    }
}
